import Command from "@oclif/command";
export default abstract class Generator {
    name: string;
    path: string;
    args: any;
    cmd: Command;
    constructor(cmd: Command, path: string, args: any);
    abstract generate(path: string, args?: any): Promise<void>;
    log(message: string, args?: any[]): void;
    error(error: string | Error, options: {
        code?: string | undefined;
        exit: false;
    }): void;
}
