"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
class FS {
    static mkdir(path) {
        return new Promise((resolve, reject) => {
            fs.mkdir(path, err => (err ? reject(err) : resolve()));
        });
    }
    static unlink(path) {
        return new Promise((resolve, reject) => {
            fs.unlink(path, err => (err ? reject(err) : resolve()));
        });
    }
    static unlinkFolderSync(path) {
        if (fs.existsSync(path)) {
            fs.readdirSync(path).forEach(function (file) {
                var curPath = path + "/" + file;
                if (fs.lstatSync(curPath).isDirectory()) {
                    // recurse
                    FS.unlinkFolderSync(curPath);
                }
                else {
                    // delete file
                    fs.unlinkSync(curPath);
                }
            });
            fs.rmdirSync(path);
        }
    }
    static writeFile(path, data) {
        return new Promise((resolve, reject) => {
            fs.writeFile(path, data, err => (err ? reject(err) : resolve()));
        });
    }
    static cp(source, dest) {
        return new Promise((resolve, reject) => {
            fs.copyFile(source, dest, err => (err ? reject(err) : resolve()));
        });
    }
}
exports.default = FS;
